Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.27
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cms
Class IssuerAndSerialNumber

    java.lang.Object
      |
      +--org.bouncycastle.asn1.ASN1Encodable
            |
            +--org.bouncycastle.asn1.cms.IssuerAndSerialNumber

All Implemented Interfaces:
  DEREncodable

public class IssuerAndSerialNumber
extends ASN1Encodable

Constructor Summary
`IssuerAndSerialNumber(ASN1Sequence seq)`
`IssuerAndSerialNumber(X509Name name, java.math.BigInteger serialNumber)`
`IssuerAndSerialNumber(X509Name name, DERInteger serialNumber)`

Method Summary
`static IssuerAndSerialNumber` | `getInstance(java.lang.Object obj)`
`X509Name` | `getName()`
`DERInteger` | `getSerialNumber()`
`DERObject` | `toASN1Object()`

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDERObject, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IssuerAndSerialNumber

    public IssuerAndSerialNumber(ASN1Sequence seq)

### IssuerAndSerialNumber

    public IssuerAndSerialNumber(X509Name name,
                                 java.math.BigInteger serialNumber)

### IssuerAndSerialNumber

    public IssuerAndSerialNumber(X509Name name,
                                 DERInteger serialNumber)

Method Detail

### getInstance

    public static IssuerAndSerialNumber getInstance(java.lang.Object obj)

### getName

    public X509Name getName()

### getSerialNumber

    public DERInteger getSerialNumber()

### toASN1Object

    public DERObject toASN1Object()

  Overrides:
    `toASN1Object` in class `ASN1Encodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.27
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD